Bug 240813 (CVE-2007-2583) - CVE-2007-2583 mysql: DoS via statement with crafted IF clause
Summary: CVE-2007-2583 mysql: DoS via statement with crafted IF clause
Status: CLOSED ERRATA
Alias: CVE-2007-2583
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: David Lawrence
URL:
Whiteboard: source=it,reported=20070521,public=20...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-21 21:33 UTC by Issue Tracker
Modified: 2008-07-25 08:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 08:13:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0364 normal SHIPPED_LIVE Low: mysql security and bug fix update 2008-05-20 12:44:41 UTC

Description Issue Tracker 2007-05-21 21:33:31 UTC
Escalated to Bugzilla from IssueTracker

Comment 7 RHEL Product and Program Management 2007-10-16 03:59:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Tomas Hoger 2007-11-23 16:40:16 UTC
Converting to Security Response bug.

Comment 9 Tomas Hoger 2007-11-23 16:44:50 UTC
CVE description:

The in_decimal::set function in item_cmpfunc.cc in MySQL before 5.0.40, and 5.1
before 5.1.18-beta, allows context-dependent attackers to cause a denial of
service (crash) via a crafted IF clause that results in a divide-by-zero error
and a NULL pointer dereference.


Upstream bug report:

http://bugs.mysql.com/bug.php?id=27513

Fixed in: 5.0.40


Comment 13 Red Hat Product Security 2008-07-25 08:13:46 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0364.html




Note You need to log in before you can comment on or make changes to this bug.